### Method

# Gimp ColorProfile is_linear

since: 2.10

#### Declaration [src]

    gboolean
    gimp_color_profile_is_linear (
      GimpColorProfile* profile
    )

#### Description [src]

This function determines is the ICC profile represented by a GimpColorProfile is a linear RGB profile or not, some profiles that are LUTs though linear will also return FALSE;.

Available since: 2.10

#### Return value

Type: `gboolean`

`TRUE` if the profile is a matrix shaping profile with linear TRCs, `FALSE` otherwise.